PDA

View Full Version : iOS 7 beta - Parallax home screen on iPhone 4


AdamC93
Jun 12, 2013, 12:05 PM
I'm not sure if it's just because I'm running the beta version or because it's on the iPhone 4, but does anyone else have this feature?

Vertigo50
Jun 12, 2013, 12:25 PM
http://www.phonearena.com/news/Older-Apple-devices-wont-get-all-iOS-7-features-is-fragmentation-lurking-in_id43946

jamastha
Aug 3, 2013, 06:56 PM
yea i dont think its gonna work on the iphone 4... i have ios7 on my iphone 4 and dont have the parallax... and ive heard of some features we are not getting apart from the obvious siri features...

dictoresno
Aug 3, 2013, 07:17 PM
its been intentionally left out of the iphone 4 release. its even included in the release notes.

dimdom
Aug 3, 2013, 07:20 PM
I hope they bring the blurred layers at least. There is hope.

ThisIsNotMe
Aug 3, 2013, 08:44 PM
http://www.phonearena.com/news/Older-Apple-devices-wont-get-all-iOS-7-features-is-fragmentation-lurking-in_id43946

Don't understand the issue.

The issue of fragmentation is developer APIs.
None of the listed features are related to developer APIs.

jtfolden
Aug 4, 2013, 03:59 AM
I hope they bring the blurred layers at least. There is hope.

No, it is listed in the release notes that blurred layers is not supported on the iPhone 4. It is *not* listed as a "known issue" and so will not be "fixed".

ssdeg7
Aug 4, 2013, 12:20 PM
No, it is listed in the release notes that blurred layers is not supported on the iPhone 4. It is *not* listed as a "known issue" and so will not be "fixed".

It might come in future releases, on betas 1 and 2 the lock screen on iPhone 4 was just a black screen and they added the blurred effect on beta 3.

Spotlight also has blurred effect on iPhone 4, they've been tweaking the UI for iPhone 4 slowly maybe because if they add it all and not optimize the code then iOS 7 would be unusable on it.

jtfolden
Aug 4, 2013, 12:55 PM
It might come in future releases, on betas 1 and 2 the lock screen on iPhone 4 was just a black screen and they added the blurred effect on beta 3.

Then it would be listed under known issues if listed at all. Apple wouldn't list it as unsupported. Remember these releases are for developers. They have to know what is supported in each device.

Cougarcat
Aug 4, 2013, 01:01 PM
Then it would be listed under known issues if listed at all. Apple wouldn't list it as unsupported. Remember these releases are for developers. They have to know what is supported in each device.

What's supported and what's not supported isn't fixed. Further optimizations could make Apple reevaluate their decision to exclude the 4.

jtfolden
Aug 4, 2013, 01:12 PM
What's supported and what's not supported isn't fixed. Further optimizations could make Apple reevaluate their decision to exclude the 4.

I'm sure it would be nice for owners but I don't see Apple devoting much to a phone that old. Features also have to be tested. I doubt there will be many more beta releases at this point.

ssdeg7
Aug 4, 2013, 02:46 PM
I'm sure it would be nice for owners but I don't see Apple devoting much to a phone that old. Features also have to be tested. I doubt there will be many more beta releases at this point.

There will be at least 3 more betas before the GM version (based on previous years), blurred effects don't need to be tested by developers, they can test it themselves. Betas are really for developers to start testing their apps with the new APIs (like the new multitasking features), the visual effects can be added later.

The iPhone 4 isn't that old, as a matter of fact the iPhone 3GS had versions 3.0, 4.0, 5.0 and 6.0.

jtfolden
Aug 4, 2013, 04:27 PM
There will be at least 3 more betas before the GM version (based on previous years),

We don't know how many there will be but they will be focused on fixing current issues at this point, not introducing new ones.

Features have to be tested, large and small, and not just in house. Blurred layers are extremely taxing. In any case however, by all the evidence, Apple has already tested and deemed blurred layers should not be supported on anything older than a 4S.

Developers have to know how their apps will react on older phones and what resources are available, as well.

The iPhone 4 isn't that old, as a matter of fact the iPhone 3GS had versions 3.0, 4.0, 5.0 and 6.0.

Actually, with the impending release of a "cheaper" iPhone now, it's a whole different ballgame and Apple is not one to worry about leaving out of date devices, they will no longer sell, behind when it comes to newer features.

The 3GS was not able to run every feature introduced in later releases, just as the 4 will not be able to do so now (which was already the case with iOS 6).